function res_calculator
VDD = 3.3;
%desired input impedance
R = 1000;

%assume
R1 = 10000; %set the top side resistor
R2 = R1/(VDD-1); %
x = 0.6:0.001:0.8;
y = 0.4:0.001:0.6;
col_x = columns(x);
col_y = columns(y);

%weight
a = 0.25;
b = 0.25;
c = 0.25;
d = 1-a-b-c;

for i = 1:col_x
  for j = 1:col_y
    R3(i) = R1*R2./(R2*(VDD./x(i)-1)-R1);
    R4(j) = R1*R2./(R2*(VDD./y(j)-1)-R1);
    inputimpedance(i,j) = par(par(par(R1, R2), R3), R4);
    
    R234 = par(R2, par(R3(i),R4(j)));
    z(i,j) = VDD * R234/(R1+R234);
    
    weighted_error(i,j) = sqrt(a*(x(i)-0.75).^2 + b*(y(j)-0.5).^2 + c*(z(i,j)-0.25).^2 + (d*(inputimpedance(i,j)-R)/R).^2);
  end
end

[row,col]= find(weighted_error == min(min(weighted_error(:))));

xx = x(row)
yy = y(col)
zz = z(row,col)
R1
R2
R3_val = R3(row)
R4_val = R4(col)
Error_percent= sqrt((x(row)-0.75).^2+(y(col)-0.5).^2+(z(row,col)-0.25).^2)*100
input_impedance= inputimpedance(row,col)

end

function retval = par (R1, R2)

retval = R1*R2/(R1+R2);

end

